<template>
  <div class="container">
    <div class="product-detail">
      <div class="product-image">
        <product-image :product="product"> </product-image>
      </div>
      <div class="product-info">
        <product-info :product="product"> </product-info>
      </div>
    </div>
    <div>
      <product-description
        :name="product.name"
        :description="product.description"
      ></product-description>
    </div>
  </div>
</template>

<script>
import { mapState } from "vuex";
export default {
  asyncData({ context, store, params }) {},
  created() {
    this.$store.dispatch("products/findById", this.$route.params.id);
  },
  computed: {
    ...mapState({
      product: state => state.products.selectedProduct,
      selectedImage: state => state.products.selectedImage
    })
  },
  head() {
    return {
      title: "Jual " + this.product.name
    };
  }
};
</script>

<style lang="scss" scoped>
.product-detail {
  display: flex;
  align-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  justify-content: space-around;
}

.row-infol {
  padding: 20px 0px;
  border-top: 1px solid rgb(229, 231, 233);
  display: flex;
}
.product-image {
  flex-basis: 40%;
  min-width: 250px;
  margin-left: 0;
  border-left: none;
  flex: 1;
}
.product-info {
  flex-basis: 60%;
  flex-shrink: 0;
  flex: 2;
  min-width: 375px;
  padding: 0px 0px 0px 60px;
  margin-left: 0px;
  border-left: none;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  display: block;
  position: relative;
  font-weight: 400;
  font-size: 0.857143rem;
  line-height: 18px;
  color: rgba(49, 53, 59, 0.68);
  text-decoration: initial;
  margin: 0px;
  overflow-wrap: break-word;
  // white-space: pre-line;
}

@media only screen and (max-width: 600px) {
  .product-info {
    padding: 10px;
    min-width: 100px;
    flex-basis: 100%;
  }

  .product-image,
  .product-info {
    flex-basis: 100%;
  }
}
@media screen and (max-width: 740px) {
  .product-info {
    padding: 0px;
  }
}
</style>
